package com.armstrongconsulting.acprotasks.client.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "actualHours",
    "attachments",
    "created",
    "createdBy",
    "createdBy_firstname",
    "createdBy_lastname",
    "description",
    "estimateHours",
    "id",
    "lastChanged",
    "lastChangedBy",
    "lastChangedBy_firstname",
    "lastChangedBy_lastname",
    "project",
    "project_name",
    "status",
    "title",
    "unreadByAssignee",
    "urgency"
})
public class Item
{
    @JsonProperty("actualHours")
    private Integer actualHours;
    @JsonProperty("attachments")
    private Integer attachments;
    @JsonProperty("created")
    private String created;
    @JsonProperty("createdBy")
    private Integer createdBy;
    @JsonProperty("createdBy_firstname")
    private String createdByFirstname;
    @JsonProperty("createdBy_lastname")
    private String createdByLastname;
    @JsonProperty("description")
    private String description;
    @JsonProperty("estimateHours")
    private Integer estimateHours;
    @JsonProperty("id")
    private Integer id;
    @JsonProperty("lastChanged")
    private String lastChanged;
    @JsonProperty("lastChangedBy")
    private Integer lastChangedBy;
    @JsonProperty("lastChangedBy_firstname")
    private String lastChangedByFirstname;
    @JsonProperty("lastChangedBy_lastname")
    private String lastChangedByLastname;
    @JsonProperty("project")
    private Integer project;
    @JsonProperty("project_name")
    private String projectName;
    @JsonProperty("status")
    private String status;
    @JsonProperty("title")
    private String title;
    @JsonProperty("unreadByAssignee")
    private Boolean unreadByAssignee;
    @JsonProperty("urgency")
    private Integer urgency;

    @JsonProperty("actualHours")
    public Integer getActualHours()
    {
        return actualHours;
    }

    @JsonProperty("actualHours")
    public void setActualHours(Integer actualHours)
    {
        this.actualHours = actualHours;
    }

    @JsonProperty("attachments")
    public Integer getAttachments()
    {
        return attachments;
    }

    @JsonProperty("attachments")
    public void setAttachments(Integer attachments)
    {
        this.attachments = attachments;
    }

    @JsonProperty("created")
    public String getCreated()
    {
        return created;
    }

    @JsonProperty("created")
    public void setCreated(String created)
    {
        this.created = created;
    }

    @JsonProperty("createdBy")
    public Integer getCreatedBy()
    {
        return createdBy;
    }

    @JsonProperty("createdBy")
    public void setCreatedBy(Integer createdBy)
    {
        this.createdBy = createdBy;
    }

    @JsonProperty("createdBy_firstname")
    public String getCreatedByFirstname()
    {
        return createdByFirstname;
    }

    @JsonProperty("createdBy_firstname")
    public void setCreatedByFirstname(String createdByFirstname)
    {
        this.createdByFirstname = createdByFirstname;
    }

    @JsonProperty("createdBy_lastname")
    public String getCreatedByLastname()
    {
        return createdByLastname;
    }

    @JsonProperty("createdBy_lastname")
    public void setCreatedByLastname(String createdByLastname)
    {
        this.createdByLastname = createdByLastname;
    }

    @JsonProperty("description")
    public String getDescription()
    {
        return description;
    }

    @JsonProperty("description")
    public void setDescription(String description)
    {
        this.description = description;
    }

    @JsonProperty("estimateHours")
    public Integer getEstimateHours()
    {
        return estimateHours;
    }

    @JsonProperty("estimateHours")
    public void setEstimateHours(Integer estimateHours)
    {
        this.estimateHours = estimateHours;
    }

    @JsonProperty("id")
    public Integer getId()
    {
        return id;
    }

    @JsonProperty("id")
    public void setId(Integer id)
    {
        this.id = id;
    }

    @JsonProperty("lastChanged")
    public String getLastChanged()
    {
        return lastChanged;
    }

    @JsonProperty("lastChanged")
    public void setLastChanged(String lastChanged)
    {
        this.lastChanged = lastChanged;
    }

    @JsonProperty("lastChangedBy")
    public Integer getLastChangedBy()
    {
        return lastChangedBy;
    }

    @JsonProperty("lastChangedBy")
    public void setLastChangedBy(Integer lastChangedBy)
    {
        this.lastChangedBy = lastChangedBy;
    }

    @JsonProperty("lastChangedBy_firstname")
    public String getLastChangedByFirstname()
    {
        return lastChangedByFirstname;
    }

    @JsonProperty("lastChangedBy_firstname")
    public void setLastChangedByFirstname(String lastChangedByFirstname)
    {
        this.lastChangedByFirstname = lastChangedByFirstname;
    }

    @JsonProperty("lastChangedBy_lastname")
    public String getLastChangedByLastname()
    {
        return lastChangedByLastname;
    }

    @JsonProperty("lastChangedBy_lastname")
    public void setLastChangedByLastname(String lastChangedByLastname)
    {
        this.lastChangedByLastname = lastChangedByLastname;
    }

    @JsonProperty("project")
    public Integer getProject()
    {
        return project;
    }

    @JsonProperty("project")
    public void setProject(Integer project)
    {
        this.project = project;
    }

    @JsonProperty("project_name")
    public String getProjectName()
    {
        return projectName;
    }

    @JsonProperty("project_name")
    public void setProjectName(String projectName)
    {
        this.projectName = projectName;
    }

    @JsonProperty("status")
    public String getStatus()
    {
        return status;
    }

    @JsonProperty("status")
    public void setStatus(String status)
    {
        this.status = status;
    }

    @JsonProperty("title")
    public String getTitle()
    {
        return title;
    }

    @JsonProperty("title")
    public void setTitle(String title)
    {
        this.title = title;
    }

    @JsonProperty("unreadByAssignee")
    public Boolean getUnreadByAssignee()
    {
        return unreadByAssignee;
    }

    @JsonProperty("unreadByAssignee")
    public void setUnreadByAssignee(Boolean unreadByAssignee)
    {
        this.unreadByAssignee = unreadByAssignee;
    }

    @JsonProperty("urgency")
    public Integer getUrgency()
    {
        return urgency;
    }

    @JsonProperty("urgency")
    public void setUrgency(Integer urgency)
    {
        this.urgency = urgency;
    }
}